Loading...
Searching...
No Matches
generic_pool.h File Reference
`#include "platform.h"`
`#include "alignment.h"`
`#include "ipool.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::generic_pool< VTypeSize, VAlignment, VSize >
class | etl::generic_pool_ext< VTypeSize, VAlignment >

## Namespaces

namespace | etl

## Macros

#define | ETL_POOL_CPP03_CODE 0

## Variables

template<size_t VTypeSize, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::generic_pool< VTypeSize, VAlignment, VSize >::SIZE
template<size_t VTypeSize, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::generic_pool< VTypeSize, VAlignment, VSize >::ALIGNMENT
template<size_t VTypeSize, size_t VAlignment, size_t VSize>
ETL_CONSTANT size_t | etl::generic_pool< VTypeSize, VAlignment, VSize >::TYPE_SIZE
template<size_t VTypeSize, size_t VAlignment>
ETL_CONSTANT size_t | etl::generic_pool_ext< VTypeSize, VAlignment >::ALIGNMENT
template<size_t VTypeSize, size_t VAlignment>
ETL_CONSTANT size_t | etl::generic_pool_ext< VTypeSize, VAlignment >::TYPE_SIZE